<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>AccessLevel (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/parser/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/parser/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/parser/accesslevel.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\Parser\AccessLevel</div>
<a href="../../../source/tests/cases/data/access.php.html#line5" class="location">tests/cases/data/access.php at line 5</a>

<h1>Class AccessLevel</h1>

<pre class="tree"><strong>AccessLevel</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>AccessLevel</strong></p>

<div class="comment" id="overview_description"><p></p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#publicVar">$publicVar</a></p><p class="description"></p></td>
</tr>
</table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type">protected  void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>()</p><p class="description"></p></td>
</tr>
<tr>
<td class="type">protected  void</td>
<td class="description"><p class="name"><a href="#protectedMethod()">protectedMethod</a>()</p><p class="description"></p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#publicMethod()">publicMethod</a>()</p><p class="description"></p></td>
</tr>
</table>

<h2 id="detail_field">Field Detail</h2>
<a href="../../../source/tests/cases/data/access.php.html#line10" class="location">tests/cases/data/access.php at line 10</a>

<h3 id="publicVar">publicVar</h3>
<code class="signature">public  mixed <strong>$publicVar</strong></code>
<div class="details">
<p></p></div>

<hr>

<h2 id="detail_method">Method Detail</h2>
<a href="../../../source/tests/cases/data/access.php.html#line25" class="location">tests/cases/data/access.php at line 25</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">protected  void <strong>__construct</strong>()</code>
<div class="details">
<p></p></div>

<hr>

<a href="../../../source/tests/cases/data/access.php.html#line35" class="location">tests/cases/data/access.php at line 35</a>

<h3 id="protectedMethod()">protectedMethod</h3>
<code class="signature">protected  void <strong>protectedMethod</strong>()</code>
<div class="details">
<p></p></div>

<hr>

<a href="../../../source/tests/cases/data/access.php.html#line30" class="location">tests/cases/data/access.php at line 30</a>

<h3 id="publicMethod()">publicMethod</h3>
<code class="signature">public  void <strong>publicMethod</strong>()</code>
<div class="details">
<p></p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/parser/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/parser/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/parser/accesslevel.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>